/* Copyright (C) 2000 Decision Computer International, Inc.,
   This file is part of the Decision PCCOM development tool

   The pcomReceiveFile.c is a simple sample source code using the 
   development tool. It demonstrate how to  receive a file
   and using Decision PCCOM Serial cards. 

   The pcomReceiveFile.c is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
   See the GNU Library General Public License for more details. 
 
   -Armz27
*/
#include <stdio.h>
#include "libpccomprof.h"

int main()
{
int intReturnOfZModem;
int initReturn, openReturn, closeReturn;

 openReturn = commopen("/dev/ttyS0");
 printf("commopen return %i\n\n", openReturn);
 sleep(1);

 initReturn = comminit("/dev/ttyS0", 9600, 8, "no", 1, "hardware");
 printf("comminit return %i\n\n", initReturn);
 sleep(1);


 printf("\n\n\n\nInitializing File Transfer.....\n");

 intReturnOfZModem = commZmodemRxFile("/dev/ttyS0");

 printf("\n\nFinish Transfering File\n\n");


 closeReturn = commclose("/dev/ttyS0");
 printf("commclose return %i\n\n", closeReturn);

 exit(0); 
}